NylorunDocsBeta
Runtime APIAgentsManifests

List agent manifests

GET
/v1/agent-manifests

Each manifest's latest version, by name, with how many Agents were made from it.

Authorization

applicationKey
headerAuthorizationBearer <token>

An application key of the Tenant (PUT /v1/tenant/keys/{keyId}), or Studio's key, derived from the admin key. With Nylorun-Subject and Nylorun-Scopes, it acts for that person, narrowed to those scopes. Never accepted from a browser (Origin).

Header Parameters

Nylorun-Protocol*string

The protocol version, 18

Nylorun-Subject?string

The person an application key acts for

Nylorun-Scopes?string

The subject's space-separated scopes; required with a subject

Response Body

The manifests

application/json
  1. response
manifests*array<>
import { createClient } from "@nylorun/agents";const client = await createClient();const manifests = await client.agentManifests.list();
{  "manifests": [    {      "name": "string",      "version": 1,      "hash": "string",      "manifest": {        "manifestSchemaVersion": 8,        "name": "string",        "description": "string",        "metadata": {          "property1": null,          "property2": null        },        "harness": {          "kind": "workflow",          "id": "string",          "inputSchema": {            "property1": null,            "property2": null          },          "outputSchema": {            "property1": null,            "property2": null          },          "root": {            "agent": "string",            "id": "string"          },          "agents": {            "property1": {              "kind": "workflow",              "workflowSchemaVersion": 3,              "id": "string",              "name": "string",              "description": "string",              "metadata": {                "property1": null,                "property2": null              },              "inputSchema": {                "property1": null,                "property2": null              },              "outputSchema": {                "property1": null,                "property2": null              },              "sandbox": {                "image": "string",                "network": {                  "preset": "none",                  "allow": [                    "string"                  ]                },                "resources": {                  "cpus": 1,                  "memory": "string"                },                "idle": "string"              },              "root": {                "agent": "string",                "id": "string"              },              "agents": {                "property1": {},                "property2": {}              }            },            "property2": {              "kind": "workflow",              "workflowSchemaVersion": 3,              "id": "string",              "name": "string",              "description": "string",              "metadata": {                "property1": null,                "property2": null              },              "inputSchema": {                "property1": null,                "property2": null              },              "outputSchema": {                "property1": null,                "property2": null              },              "sandbox": {                "image": "string",                "network": {                  "preset": "none",                  "allow": [                    "string"                  ]                },                "resources": {                  "cpus": 1,                  "memory": "string"                },                "idle": "string"              },              "root": {                "agent": "string",                "id": "string"              },              "agents": {                "property1": {},                "property2": {}              }            }          },          "plugins": [            {              "name": "string",              "version": "string"            }          ],          "loop": {            "property1": null,            "property2": null          }        },        "runtime": {          "kind": "virtual",          "image": "string",          "resources": {            "cpus": 1,            "memory": "string"          },          "storage": "string",          "network": {            "allowedHosts": [              "string"            ]          },          "lifecycle": {            "idle": "string",            "deleteAfter": "string"          },          "setup": [            {              "command": "string",              "cwd": "string",              "timeout": "string"            }          ],          "files": [            {              "artifactId": "string",              "version": 1,              "path": "string"            }          ],          "limits": {            "artifacts": {              "fileBytes": 1,              "totalBytes": 1            },            "skills": {              "totalBytes": 1            },            "disk": {              "versionBytes": 1,              "versionEntries": 1            }          },          "secrets": {            "property1": {              "type": "environment_secret",              "allowedHosts": [                "string"              ],              "inject": {                "header": "string",                "format": "string"              },              "required": true,              "description": "string"            },            "property2": {              "type": "environment_secret",              "allowedHosts": [                "string"              ],              "inject": {                "header": "string",                "format": "string"              },              "required": true,              "description": "string"            }          },          "triggers": {            "property1": {              "schedule": "string",              "timezone": "string",              "at": "2019-08-24T14:15:22Z",              "webhook": "standard-webhooks",              "session": "string",              "prompt": "string"            },            "property2": {              "schedule": "string",              "timezone": "string",              "at": "2019-08-24T14:15:22Z",              "webhook": "standard-webhooks",              "session": "string",              "prompt": "string"            }          },          "selfWake": true        }      },      "savedBy": {        "actor": "string"      },      "createdAt": "string",      "agents": 0,      "source": {        "compiler": "string",        "files": 0,        "bytes": 0      }    }  ]}